@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap');

* {
    font-family: 'Poppins', sans-serif;
}

body {
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    background-image: url('/assets/img/background-surf.jpg');
    background-size: cover;
}

body::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.15);
    z-index: -1;
}

.form-container {
    background-color: rgba(255, 255, 255, 0.35);
    backdrop-filter: blur(10px);
    border: 1px solid #ccc;
    padding: 50px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.form-container > h1 {
    text-align: center;
}

form {
    margin: 0;
}

.campos {
    margin-bottom: 20px;
}

.campo {
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
    box-sizing: border-box;
    border: none;
    background-color: transparent;
    border-bottom: 2px solid #f5f5f5;
}

.botoes {
    display: flex;
    justify-content: center;
}

.botao {
    padding: 15px 25px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin: 10px;
    font-size: 12pt;
}

.botao:hover {
    color: white;
    background-color: black;
    transition: .3s;
}

label {
    font-size: 14pt;
    font-weight: bold;
}

@media screen and (max-width: 768px) {
    .form-container {
        width: 80%; 
        max-width: 400px; 
        padding: 20px; 
    }

    .campo {
        margin-bottom: 15px; 
    }

    .botao {
        padding: 15px 20px; 
    }

    label {
        font-size: 14pt;
    }
}